GET

Get Email Settings

Due to SMTP updates, this API has been removed. A new API will be provided when available.

Use this API to return your org's current Email Settings configuration.

Resource URL

https://<subdomain>.onelogin.com/api/2/branding/email_settings

Header Parameters

Authorization

required

string

Set to bearer <access_token>.

Set <access_token> to the access token you generated using the Generate Token API.

The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: Manage All, Read All.

Sample Responses

OneLogin default Email Settings configuration

{
    "mode": "onelogin_email"
}

Custom Email Settings configuration

{
   "address": "smtp.sendgrid.net",
   "use_tls": true,
   "from": "email@example.com",
   "domain": "example.com",
   "user_name": "user-name",
   "mode": "custom_smtp_config",
   "password": "password",
   "port": 587
}

Typically, this error means that your access token value is invalid.

{
    "message": "Unauthorized",
    "statusCode": 401,
    "name": "UnauthorizedError"
}

Postman Collection

Replace sample variables indicated by {{ }} with your actual values.

Run In Postman

    Clicking Run in Postman button navigates to the page where you can fork the collection to your workspace. Forking the collection into your workspace will enable you to contribute to the source collection using pull requests. You can also view the collection in a public workspace if you like and even import a copy of the collection using the links present on the screen.

Sample Code

cURL

Replace sample values indicated by < > with your actual values.

Get Email Settings Config

curl 'https://<subdomain>.onelogin.com/api/2/branding/email_settings' \
-X GET \
-H "Authorization: bearer <access_token>"